Updates the equipment_brand object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
equipment_brand| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the equipment brand |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "1fc7985e-b0b2-440a-b491-0aa72a921cf6",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "5f9a4838-21cc-4fca-a7ca-b97d9c1af7ca",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "47d31408-f70a-4df9-9aba-b6db319a5b5d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "38073663-db46-4197-bd5a-115f601d07ca",
"db_currency_id": "b8fc6019-e11b-4bbb-8849-578180315977",
"db_language_id": "e01e0377-01c8-42bd-b867-b853c16a66d4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T01:18:08.3768096+00:00"
},
"modified_dateutc": "2026-11-02T01:18:08.3768096+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.